.PHONY: install test fmt docker-build up rebuild clean

install:
	pip install -e .[dev]

test:
	pytest -v

fmt:
	black erminig tests
	git add erminig tests

docker-build:
	podman-compose -f docker-compose.yml build

up:
	podman-compose -f docker-compose.yml run erminig

rebuild: docker-build up

clean:
	find . -name "*.pyc" -delete
	find . -name "__pycache__" -type d -exec rm -rf {} +
	find . -name "*.egg-info" -type d -exec rm -rf {} +
	find . -name ".pytest_cache" -type d -exec rm -rf {} +

build-all: fmt test docker-build


